import range from 'lodash/range'

class Instance {
  activateContent() {
    const jqUsers = this.jqRoot.find('[data-toggle=username]')
    usernameAdd(jqUsers)
    const jqTimeElements = this.jqRoot.find('.forum-time')
    timeActualizerAdd(jqTimeElements)
    const jqTopicLinkElements = this.jqRoot.find('.topic-link')
    for (const node of jqTopicLinkElements) {
      popOverHoverContentAdd(node, {
        clickTakeOver: false,
        callbacks: {
          contentInit: ::this.initializePopoverContent,
        },
      })
    }
  }
}

export function init() {
}

export function add(options) {
  // Wait for document-ready
  const instance = new Instance(options)
  $.when($.ready).then(::instance.initialize)
}
